Bug 831773 - [abrt] libreport-gtk-2.0.10-3.fc17: Process /usr/bin/report-gtk was killed by signal 11 (SIGSEGV)
[abrt] libreport-gtk-2.0.10-3.fc17: Process /usr/bin/report-gtk was killed by...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
abrt_hash:7da7a78dc10ead8a01572dfce6b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 14:27 EDT by Yajo
Modified: 2012-10-24 15:41 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-24 15:41:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (9.18 KB, text/plain)
2012-06-13 14:27 EDT, Yajo
no flags Details
File: maps (42.99 KB, text/plain)
2012-06-13 14:27 EDT, Yajo
no flags Details
File: backtrace (23.57 KB, text/plain)
2012-06-13 14:27 EDT, Yajo
no flags Details

  None (edit)
Description Yajo 2012-06-13 14:27:38 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
comment:        I was searching for confidential data into another report.
crash_function: IA__gtk_text_line_segment_split
executable:     /usr/bin/report-gtk
kernel:         3.4.0-1.fc17.x86_64
pid:            2796
time:           mié 13 jun 2012 20:04:17 CEST
uid:            1000
xsession_errors: 

backtrace:      Text file, 24133 bytes
dso_list:       Text file, 9396 bytes
maps:           Text file, 44019 bytes

build_ids:
:f58f7f7a0f2c00780839246fd972e56e971e27d8
:99c23b21038c62b0628b93610fb54c5900c40ffd
:faca16f15d87b83d2947a386e319b02f724dcbb5
:8c1105fdca80308f44d545b954a7dcd518f98db5
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:458118a56e4684bd51c51aee74e26a15161da7e3
:b6d75088f555d197be1476cb1c580640826ae029
:0339e448510e66ad611e6f5df08565db4fe4bc23
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:ea210598897f1e72eda090454c0ea51051fef430
:8f1ba572f27dfd702830fb5690824afb32c5f89f
:b277af36744327e3d58eae76bcdaadcca71a28c6
:7716bc5c1738194dad6ec6679d05ae3782139288
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:508cf66f72e70054a41215f80ed2385c6bb80030
:1309cbb736c7f597bc49f83e638fde856bfc0e11
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:f64b7319b84d426ed547084bdb2577f4f596c18f
:5350b5972464f66f404861dc50225a114a2a5e7e
:318ff47751c8144098e1808396ab73dd48c1e7b4
:31243d0d107bba586a96433c76c87a26db1e826c
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6947e315f0765bf884ecc222d91945a1e2ed8767
:edad49230923d07f38eaae337455a0d56f535f11
:87712be648d2d43ea4cd002fe7a859df636f1e13
:253afe744466fe7580bbb6040de6183dba9e2b02
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:42675a8ad8f70ff19362070510cdf1ba202a70db
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:127f8958b602715234a02b88adb08afd9e34c203
:8f7c190397d7c1f617e66f18f759714662b60367
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:54a5cc118d928470da13565de8592b664a9868e0
:63651cdc0224824a9c9324c77c3b5887378e871d
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:7b2764ec751ee57e9ba0827d2b16039549841179
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:130699b76d99d57ef46beeed9d693005f3c8917f
:3d60535f052babb998bae4807bc992c5d15df5c4
:822e9b3523e8312240f41a25722d539bc77ed436
:67792c148d2b8f13f6732c9367e926c26d7376c5
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:af945724af42823d8f3ee175768dcb912e3c25a0
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:877685c5afa0faf0e43ad65f21587f699edcc04d
:1a0c09f270adf8398df4362ce0acfafc1f970982
:f4d479614b09460085428bbe7d53df454d0d39e5
:4270bd2d36ba118a31a4e28e34851adf3e47fca5
:1dbad667ccf4b57aca057808b8a4a0871960b54f
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:e91010b497ec024178c36f4365b21f668bada0ca
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:5dd234206476b0387cd251598aa72a2c95c763c5
:061ef24d2d92a61b206e1e356314de1d0b185247
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:1d4df97fa6024b097b634a272447243c95c26d85
:ac943af4aaadceb5deb00b73d39c85444512c747
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:247132297f287226a24c12e683292f5c94013066
:bb6a67dfc3497715105189017a9b5411e6fc4b18
:d8d393649ae4da146ebc8812db58514f245f08a9

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jairot/2

core_backtrace:
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x20da06 gtk_text_line_segment_split libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x1f01a5 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x1f03b1 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x1f50ee gtk_text_buffer_select_range libgtk-x11-2.0.so.0 -
:4270bd2d36ba118a31a4e28e34851adf3e47fca5 0x6633 - [exe] -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14db1c - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x28156e - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14b8e4 gtk_propagate_event libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14bc4b gtk_main_do_event libgtk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x616fc - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:4270bd2d36ba118a31a4e28e34851adf3e47fca5 0x6316 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/***/keyring-xgzr79
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:MAIL=/var/spool/mail/***
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/***/.local/bin:/home/***/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=998
:LANG=es_ES.utf8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:GDM_LANG=es_ES.utf8
:LOADEDMODULES=
:'PS1=\\n\\[\\e[1;33m\\]\\t \\[\\e[1;32m\\]\\u\\[\\e[0;33m\\]@\\[\\e[0;32m\\]\\h\\[\\e[00m\\] \\[\\e[01;34m\\]\\w\\n\\[\\e[1;33m\\]\\$ \\[\\e[00m\\]'
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:SHLVL=1
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-t2TBZK1PtI,guid=78ef0ef914d845db26a97c7e0000004d
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-***-BLkF5K/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1003,unix/unix:/tmp/.ICE-unix/1003
:GPG_AGENT_INFO=/run/user/***/keyring-xgzr79/gpg:0:1
:SSH_AUTH_SOCK=/run/user/***/keyring-xgzr79/ssh
:LC_TIME=es_ES.utf8
:LC_NUMERIC=es_ES.utf8
:LC_MONETARY=es_ES.utf8
:LC_MEASUREMENT=es_ES.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-abrt.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2779
:ABRT_VERBOSE=0
:LIBREPORT_PRGNAME=abrt

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15842                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15842                15842                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/jairot/.xsession-errors
:2:/home/jairot/.xsession-errors
:3:socket:[29493]
:4:anon_inode:[eventfd]
:5:socket:[29494]
:6:/dev/urandom
:7:socket:[29496]
:8:anon_inode:inotify
:9:pipe:[30394]
:10:pipe:[30394]
:11:socket:[30398]
:12:/home/jairot/.cache/event-sound-cache.tdb.10d9e05cbf612c9f5936f75200000010.x86_64-redhat-linux-gnu

smolt_data:
:
:
:General
:=================================
:UUID: 0396fc5e-0ae2-4b3f-9f33-059437133102
:SO: Fedora release 17 (Beefy Miracle)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.utf8
:Plataforma: x86_64
:BogoMIPS: 2992.76
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Core(TM)2 Duo CPU     T5250  @ 1.50GHz
:Paso del UCP: 13
:Familia de UCP: 6
:Número de Modelo de CPU: 15
:Número de CPUs: 2
:Velocidad del CPU: 1500
:Memoria del Sistema: 2002
:Intercambio (swap) del Sistema: 4999
:Vendedor: Hewlett-Packard
:Sistema: HP Pavilion dv6500 Notebook PC Rev 1
:Factor de forma: Notebook
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(4332:33078:4156:12492) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10752:4156:12492) pci, None, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10753:4156:12492) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(32902:10302:4156:12492) pci, None, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:10281:4156:12492) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(32902:10320:4156:12492) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10261:4156:12492) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(32902:16930:4156:4956) pci, iwl3945, NETWORK, Compaq 6710b or nx9420 Notebook
:(32902:10289:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:9288:4156:12492) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10290:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(32902:10294:4156:12492) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:4156:12492) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:(32902:10303:4156:12492) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:4156:12492) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10315:4156:12492) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:10292:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10288:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(4318:1063:4156:12492) pci, nvidia, VIDEO, G86 [GeForce 8400M GS]
:(32902:10313:4156:12492) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 6
:(4480:2098:4156:12492) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4156:12492) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:1426:4156:12492) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4480:2130:4156:12492) pci, None, BASE, xD-Picture Card Controller
:(32902:10293:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda8 / ext4 4096 4096 5418250 3060502 3006250 1359872 1125380 1125380
:/dev/sda5 /home ext4 4096 4096 20922283 4483607 3435812 5242880 5136287 5136287
:/dev/sda6 /boot ext4 1024 1024 508745 397587 371987 128016 127654 127654
:

var_log_messages:
:Jun 13 20:04:17 localhost kernel: [ 2490.460538] report-gtk[2796]: segfault at 1f000000b4 ip 00007f7c77a15a06 sp 00007fff0c8ab740 error 4 in libgtk-x11-2.0.so.0.2400.10[7f7c77808000+46a000]
:Jun 13 20:04:17 localhost abrt[3483]: Saved core dump of pid 2796 (/usr/bin/report-gtk) to /var/spool/abrt/ccpp-2012-06-13-20:04:17-2796 (16023552 bytes)
Comment 1 Yajo 2012-06-13 14:27:43 EDT
Created attachment 591591 [details]
File: dso_list
Comment 2 Yajo 2012-06-13 14:27:45 EDT
Created attachment 591592 [details]
File: maps
Comment 3 Yajo 2012-06-13 14:27:48 EDT
Created attachment 591593 [details]
File: backtrace
Comment 4 Yajo 2012-07-07 05:30:58 EDT
Searching through the logs for personal data.

backtrace_rating: 4
Package: libreport-gtk-2.0.10-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Jakub Filak 2012-10-24 15:41:28 EDT
I believe this problem has been fixed by the recent libreport update. (bug
859422)

Note You need to log in before you can comment on or make changes to this bug.